> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contentsgenerated backgrounds

> The generated backgrounds a content's combinations
precomputed, filterable by status, most recent first.



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/contents-api get /contents/generated-backgrounds
openapi: 3.0.0
info:
  title: contents-api
  version: 9f2e3645b265d24b99ba456df1daa587464526c8
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /contents/generated-backgrounds:
    get:
      tags: []
      description: |-
        The generated backgrounds a content's combinations
        precomputed, filterable by status, most recent first.
      operationId: List
      parameters:
        - name: contentId
          in: query
          schema:
            type: string
          required: true
        - name: status
          in: query
          schema:
            type: string
          required: false
        - name: page
          in: query
          schema:
            type: number
            default: 1
            minimum: 1
          required: false
        - name: perPage
          in: query
          schema:
            type: number
            default: 50
            minimum: 1
          required: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      paginationCount:
                        type: number
                      paginationPage:
                        type: number
                      paginationLimit:
                        type: number
                    required:
                      - paginationCount
                      - paginationPage
                      - paginationLimit
                    additionalProperties: false
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: '#/components/schemas/InternalResponse'
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties: {}
          additionalProperties:
            type: array
            items:
              type: string
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v2/auth/token
          refreshUrl: https://api.reelevant.com/v2/auth/token
          scopes: {}

````